Complete JEF Store Google login¶
Summary¶
Source repository:
jef-systems/jef-store-backendSource SHA:
07d2489d50cb131c466864ee7efe8e81fa498460Source run id:
30743809661Module:
StoreLambda function:
jef-store-complete-google-loginHTTP method:
GETInvocation mode:
syncPackage mode:
with-packagesAPI category:
Store Complex Sync With Packages GET APIsAPI path:
/store/complex-sync-with-packages/auth/google/callbackEndpoint URL:
https://api.jefoffice.com/store/complex-sync-with-packages/auth/google/callbackDocumentation scope:
lambda-complex-sync-with-packages
Synchronous Lambda Complex Rule¶
This API is documented as a synchronous Lambda complex with-packages API. API Gateway waits for the Lambda result and returns the final Lambda response.
Description¶
Validates the Cognito callback, authorizes the employee, creates the canonical JEF session, and redirects the browser.
Payload Example¶
{
"code": "sample-authorization-code",
"state": "sample-oauth-state"
}
Payload Schema¶
{
"root": {
"type": "M",
"required": true,
"additional_properties": false,
"attributes": {
"code": {
"type": "S",
"required": false,
"description": "Cognito authorization code.",
"write_only": true,
"max_length": 4096,
"example": "sample-authorization-code"
},
"state": {
"type": "S",
"required": false,
"description": "OAuth state returned by Cognito.",
"write_only": true,
"max_length": 2048,
"example": "sample-oauth-state"
},
"error": {
"type": "S",
"required": false,
"description": "Provider error code when login is cancelled.",
"max_length": 256
}
}
}
}
Response Schema¶
{
"root": {
"type": "M",
"required": true,
"additional_properties": false,
"attributes": {}
}
}
CMD curl¶
curl.exe -X GET "https://api.jefoffice.com/store/complex-sync-with-packages/auth/google/callback"
PowerShell curl¶
curl.exe -X GET "https://api.jefoffice.com/store/complex-sync-with-packages/auth/google/callback"